
From: William Lee Irwin III <wli@holomorphy.com>

I was just looking over this and noticed 2.4.x makes u64 dma_addr_t
conditional on CONFIG_HIGHMEM64G where 2.5.x uses CONFIG_HIGHMEM.  It's
clearly not necessary on CONFIG_HIGHMEM4G, hence this obvious patch.



 include/asm-i386/types.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-i386/types.h~large-dma_addr_t-PAE-only include/asm-i386/types.h
--- 25/include/asm-i386/types.h~large-dma_addr_t-PAE-only	2003-05-09 09:38:08.000000000 -0700
+++ 25-akpm/include/asm-i386/types.h	2003-05-09 09:38:08.000000000 -0700
@@ -51,7 +51,7 @@ typedef unsigned long long u64;
 
 /* DMA addresses come in generic and 64-bit flavours.  */
 
-#ifdef CONFIG_HIGHMEM
+#ifdef CONFIG_HIGHMEM64G
 typedef u64 dma_addr_t;
 #else
 typedef u32 dma_addr_t;

_
